package com.kingdee.eas.custom.notify;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractRemoveContextInfo extends com.kingdee.eas.framework.DataBaseInfo implements Serializable 
{
    public AbstractRemoveContextInfo()
    {
        this("id");
    }
    protected AbstractRemoveContextInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:删除待办请求参数体's 待办来源property 
     */
    public String getAppName()
    {
        return getString("appName");
    }
    public void setAppName(String item)
    {
        setString("appName", item);
    }
    /**
     * Object:删除待办请求参数体's 模块名property 
     */
    public String getModelName()
    {
        return getString("modelName");
    }
    public void setModelName(String item)
    {
        setString("modelName", item);
    }
    /**
     * Object:删除待办请求参数体's 待办唯一标识property 
     */
    public String getModelId()
    {
        return getString("modelId");
    }
    public void setModelId(String item)
    {
        setString("modelId", item);
    }
    /**
     * Object:删除待办请求参数体's 关键字property 
     */
    public String getKey()
    {
        return getString("key");
    }
    public void setKey(String item)
    {
        setString("key", item);
    }
    /**
     * Object:删除待办请求参数体's 参数1property 
     */
    public String getParam1()
    {
        return getString("param1");
    }
    public void setParam1(String item)
    {
        setString("param1", item);
    }
    /**
     * Object:删除待办请求参数体's 参数2property 
     */
    public String getParam2()
    {
        return getString("param2");
    }
    public void setParam2(String item)
    {
        setString("param2", item);
    }
    /**
     * Object:删除待办请求参数体's 待办所属对象property 
     */
    public String getTargets()
    {
        return getString("targets");
    }
    public void setTargets(String item)
    {
        setString("targets", item);
    }
    /**
     * Object:删除待办请求参数体's 操作类型property 
     */
    public com.kingdee.eas.custom.notify.bziEnum.OptTypeEnum getOptType()
    {
        return com.kingdee.eas.custom.notify.bziEnum.OptTypeEnum.getEnum(getInt("optType"));
    }
    public void setOptType(com.kingdee.eas.custom.notify.bziEnum.OptTypeEnum item)
    {
		if (item != null) {
        setInt("optType", item.getValue());
		}
    }
    /**
     * Object:删除待办请求参数体's 待办类型property 
     */
    public com.kingdee.eas.custom.notify.bziEnum.TypeEnum getType()
    {
        return com.kingdee.eas.custom.notify.bziEnum.TypeEnum.getEnum(getInt("type"));
    }
    public void setType(com.kingdee.eas.custom.notify.bziEnum.TypeEnum item)
    {
		if (item != null) {
        setInt("type", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("08AB07F1");
    }
}